compute progname = 'bennett5.prg'
*dis 'Subit limit hit using default value. Increased to 500:'
*nlpar(subit=500)
*dis 'Best fit achieved by tightening convergence critera, '
*dis ' as shown in start 4'

com numobs = 154
com numparams = 3
all numobs
open data bennett5.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml f y = b1 * (b2+x)**(-1/b3)

dec rect b(numparams,4)
input(unit=input) b
   -2000       -1500        -2.5235058043E+03  2.9715175411E+02
      50          45         4.6736564644E+01  1.2448871856E+00
       0.8         0.85      9.3218483193E-01  2.0272299378E-02


Display 'Start 1:'
compute startval = 1
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg

* Start 2:
compute startval = 2
Display 'Start 2:'
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg

* Start 3:
compute startval = 3
Display 'Start 3:'
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



