compute progname = 'chwirut1.prg'
com numobs = 214
com numparams = 3
all numobs
open data chwirut1.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml yfrml y = exp(-b1*x)/(b2+b3*x)

dec rect b(numparams,4)
input(unit=input) b
0.1         0.15          1.9027818370E-01  2.1938557035E-02
0.01        0.008         6.1314004477E-03  3.4500025051E-04
0.02        0.010         1.0530908399E-02  7.9281847748E-04


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg


display 'Now with CVCRIT=1e-11'
nlpar(cvcrit=1e-11)
* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg



* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg




