compute progname = 'eckerle4.prg'
* Using SIMPLEX on first start values reduced time to convergence:
display 'NLPAR limit raised to 500'
nlpar(subit=500)
com numobs = 35
com numparams = 3
all numobs
open data eckerle4.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml f y = (b1/b2) * exp(-0.5*((x-b3)/b2)**2)

dec rect b(numparams,4)
input(unit=input) b
     1           1.5         1.5543827178E+00  1.5408051163E-02
    10           5           4.0888321754E+00  4.6803020753E-02
   500         450           4.5154121844E+02  4.6800518816E-02


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)


dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



/*
* Start 1, but with SIMPLEX method first:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=10,method=simplex)
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)


dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



*/
