compute progname = 'gauss3.prg'
com numobs = 250
com numparams = 8
all numobs

open data gauss3.prn
data(for=prn,org=obs)
nonlin b1 b2 b3 b4 b5 b6 b7 b8

frml f y = b1*exp( -b2*x ) + b3*exp( -((x-b4)**2) / b5**2 ) + $
          + b6*exp( -((x-b7)**2) / b8**2 )

dec rect b(8,4)
input(unit=input) b
    94.9        96.0         9.8940368970E+01  5.3005192833E-01
     0.009       0.0096      1.0945879335E-02  1.2554058911E-04
    90.1        80.0         1.0069553078E+02  8.1256587317E-01
   113.0       110.0         1.1163619459E+02  3.5317859757E-01
    20.0        25.0         2.3300500029E+01  3.6584783023E-01
    73.8        74.0         7.3705031418E+01  1.2091239082E+00
   140.0       139.0         1.4776164251E+02  4.0488183351E-01
    20.0        25.0         1.9668221230E+01  3.7806634336E-01

display 'Start 1:'
com i=1,startval=1
nonlin b1 b2 b3 b4 b5 b6 b7 b8
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
dis b1 b2 b3 b4 b5 b6 b7 b8
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



display 'Start 2:'
* Start 2:
com i=2,startval=2
nonlin b1 b2 b3 b4 b5 b6 b7 b8
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


display 'Start 3:'
* Start 3:
com i=3,startval=3
nonlin b1 b2 b3 b4 b5 b6 b7 b8
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg




