compute progname = 'mgh17.prg'
dis 'increasing subit limit to 500'
nlpar(subit=100)
display "Start 1 values don't work well, Start 2 values do"
com numobs = 33
com numparams = 5
all numobs
open data mgh17.prn
data(for=prn,org=obs)

nonlin b1 b2 b3 b4 b5
frml f y = b1 + b2*exp(-x*b4) + b3*exp(-x*b5)

dec rect b(numparams,4)
input(unit=input) b
     50         0.5          3.7541005211E-01  2.0723153551E-03
    150         1.5          1.9358469127E+00  2.2031669222E-01
   -100        -1           -1.4646871366E+00  2.2175707739E-01
      1          0.01        1.2867534640E-02  4.4861358114E-04
      2          0.02        2.2122699662E-02  8.9471996575E-04

* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
dis b1 b2 b3 b4 b5
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 4:
* Now repeat with tighter criteria:
nlpar(subit=2000,cvcrit=1e-10)
com i=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
dis b1 b2 b3 b4 b5
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



* Start 5:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


/*


* Start 1, but starting with genetic:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i)
dis b1 b2 b3 b4 b5
nlls(frml=f,notrace,cvcrit=1e-11,iter=1000,method=genetic)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg

*/

